/* Temperature in depth
   by Tommy Lu
*/

#include <stdio.h>
#include <conio.h>

void main(void);
double celsius_at_depth(double);
void fahrenheit(double, double);

double celsius_at_depth(double kms)
{
	double celsius;

	celsius = (10.0 * kms) + 20.0;
	printf("The temperature at %.2f kilometers is %.2f degree Celsius.\n", kms, celsius);

	return (celsius);
}

void fahrenheit(double kms, double celsius)
{
	double f;

	f = 1.8 * celsius + 32.0;

	printf("The temperature at %.2f kilometers is %.2f degree Fahrenheit.\n", kms, f);
}

void main(void)
{
	double kms, celsius;

	printf("Please enter a depth (in kilometers) inside the earth: ");
	scanf("%lf", &kms);
	celsius = celsius_at_depth(kms);
	fahrenheit(kms, celsius);
	getch();
}