/* Exercise 6.21
   by Tommy Lu
*/

#include <stdio.h>
#include <conio.h>

#define MAXSEAT 11

int full(int, int);
void assignfirst(int[], int*, int*);
void assigneconomy(int[], int*, int*);
void boardingpass(void);
void main(void);

int full(int first, int economy)
{
	return ((first == 6) && (economy == 11));
}

void assignfirst(int seats[], int* first, int* economy)
{
	char ans;

	if (full(*first, *economy))
		printf("Next flight leaves in 3 hours.\n");
	else
		if (*first >= 6)
		{
			printf("First class is full, would you like to take economy seat (Y/N)? ");
			scanf(" %c", &ans);
			if ((ans == 'Y') || (ans == 'y'))
				assigneconomy(seats, first, economy);
			else
				printf("Next flight leaves in 3 hours.\n");
		}
		else
		{
			seats[*first] = 1;
			printf("Boarding Pass.  First Class.   Seat: %d\n", *first);
			(*first)++;
		}
}

void assigneconomy(int seats[], int* first, int* economy)
{
	char ans;

	if (full(*first, *economy))
		printf("Next flight leaves in 3 hours.\n");
	else
		if (*economy >= 11)
		{
			printf("Economy class is full, would you like to take first class seat (Y/N)? ");
			scanf(" %c", &ans);
			if ((ans == 'Y') || (ans == 'y'))
				assignfirst(seats, first, economy);
			else
				printf("Next flight leaves in 3 hours.\n");
		}
		else
		{
			seats[*economy] = 1;
			printf("Boarding Pass.  Economy Class.   Seat: %d\n", *economy);
			(*economy)++;
		}
}

void main(void)
{
	char ans='Y';
	int code, seats[MAXSEAT]={0}, first=1, economy=6;

	while ((ans == 'Y') || (ans == 'y'))
	{
		printf("Please type 1 for \"first class\"\nPlease type 2 for \"economy\"\n");
		scanf("%d", &code);
		switch (code)
		{
		case 1:
			assignfirst(seats, &first, &economy);
			break;
		case 2:
			assigneconomy(seats, &first, &economy);
		};
		printf("Make next reservation (Y/N)? ");
		scanf(" %c", &ans);
	}
}
