#include <stdio.h>
#include <io.h>
#include <string.h>

#define ZERO 48
#define INLEN 27
#define MAXREC 20

float getrate(char performance)
{
   float rate;

   switch (performance)
   {
      case '1':
      case '2':	rate = 0.06;
		break;
      case '3':	rate = 0.078;
		break;
      case '4':	rate = 0.09;
   }
   return(rate);
}

void main(void)
{
   FILE *fptr, *fptrout;
   char name[11], dept[11], performance, inline[MAXREC][INLEN], *ptr[MAXREC], *temp, min[11];
   int i, j, inc, totinc = 0, k, index;
   long salary, totsal = 0, totnew = 0;
   float rate;

   fptr = fopen("b:pj4.in", "r");
   fptrout = fopen("b:pj5.out", "w");

   fprintf(fptrout, "                                    Increase\n");
   fprintf(fptrout, "                        Current    -----------      New\n");
   fprintf(fptrout, " Name   Department  PR   Salary     $       %     Salary\n");
   fprintf(fptrout, "========================================================\n");

   i = 0;

   while (fgets(inline[i], INLEN+1, fptr) != '\0')
   {
      ptr[i] = inline[i];
      i++;
   }

   for (j=0; j<i-1; j++)
   {
      sscanf(ptr[j], "%s %s %c %ld", name, dept, &performance, &salary);
      index = j;
      stpcpy(min,name);
      for (k=j+1; k<i; k++)
      {
	 sscanf(ptr[k], "%s %s %c %ld", name, dept, &performance, &salary);
	 if (strcmp(name,min) < 0)
	 {
	    stpcpy(min,name);
	    index = k;
	 }
      }
      temp = ptr[j];
      ptr[j] = ptr[index];
      ptr[index] = temp;
   }

   for (j=0; j<i; j++)
   {
      sscanf(ptr[j], "%s %s %c %ld", name, dept, &performance, &salary);
      printf("%s %s %c %ld\n", name, dept, performance, salary);
      rate = getrate(performance);
      inc = salary * rate;
      totsal = totsal + salary;
      totinc = totinc + inc;
      totnew = totnew + salary + inc;
      fprintf(fptrout, "%-8s", name);
      fprintf(fptrout, "%9s", dept);
      fprintf(fptrout, "   %c    %5ld     %4d    %3.1f     %5ld\n", performance, salary, inc, rate*100.0, salary+inc);
   }
   rate = (totinc *1.0) / totsal;
   fprintf(fptrout, "========================================================\n");
   fprintf(fptrout, "     Summary:           %6ld    %5d    %3.1f    %6ld\n", totsal, totinc, rate*100.0, totnew);
   fclose(fptr);
   fclose(fptrout);
}