#include <stdio.h>
#include <io.h>
#include <string.h>

#define ZERO 48
#define INLEN 27
#define MAXREC 20

float getrate(char performance)
{
   float rate;

   switch (performance)
   {
      case '1':
      case '2':	rate = 0.06;
		break;
      case '3':	rate = 0.078;
		break;
      case '4':	rate = 0.09;
   }
   return(rate);
}

void main(int argc, char *argv[])
{
   FILE *fptr;
   int inc, go, totinc = 0;
   long totsal = 0, totnew = 0;
   float rate;
   struct xx
   {
      char name[11], dept[11], performance;
      long salary;
   };
   struct xx1
   {
      char name[11], dept[11], performance;
      long salary;
      struct xx *next;
   };
   struct xx record;
   struct xx1 *ptr, *temp, *head, *prev;

   fptr = fopen(argv[1], "r");

   head = (struct xx1 *) malloc(sizeof(struct xx1));
   head->next = NULL;

   while (fread(&record,sizeof(record),1,fptr) == 1)
   {
      /* printf("%s %s %c %ld\n", record.name, record.dept, record.performance, record.salary); */
      ptr = (struct xx1 *) malloc(sizeof(struct xx1));
      strcpy(ptr->name,record.name);
      strcpy(ptr->dept,record.dept);
      ptr->performance = record.performance;
      ptr->salary = record.salary;
      ptr->next = NULL;
      go = 1;
      temp = head->next;
      prev = head;
      while ((go == 1) && (temp != NULL))
	 if (strcmp(temp->name,ptr->name) < 0)
	 {
	    prev = prev->next;
	    temp = temp->next;
	 }
	 else
	    go = 0;

      prev->next = ptr;
      ptr->next = temp;
   }

   printf("                                    Increase\n");
   printf("                        Current    -----------      New\n");
   printf(" Name   Department  PR   Salary     $       %     Salary\n");
   printf("========================================================\n");

   ptr = head->next;

   while (ptr != NULL)
   {
      rate = getrate(ptr->performance);
      inc = ptr->salary * rate;
      totsal += ptr->salary;
      totnew += ptr->salary + inc;
      totinc += inc;
      printf("%-8s", ptr->name);
      printf("%9s", ptr->dept);
      printf("   %c    %5ld     %4d    %3.1f     %5ld\n", ptr->performance, ptr->salary, inc, rate*100.0, ptr->salary+inc);
      ptr = ptr->next;
   }
   rate = (totinc * 1.0) / totsal;
   printf("========================================================\n");
   printf("     Summary:           %6ld    %5d    %3.1f    %6ld\n", totsal, totinc, rate*100.0, totnew);
   fclose(fptr);
}