/* calendar - version 4-1
   by Tommy Lu */

#include <stdio.h>
#include <conio.h>
#include <string.h>

int firstday[28], days[12];
char months[12][10];

void get_month_names(void);
void get_first_day(void);
void month_days(void);
void get_FEB(int);
void main(void);

void get_month_names(void)
{
   strcpy(months[0],"January");
   strcpy(months[1],"February");
   strcpy(months[2],"March");
   strcpy(months[3],"April");
   strcpy(months[4],"May");
   strcpy(months[5],"June");
   strcpy(months[6],"July");
   strcpy(months[7],"August");
   strcpy(months[8],"September");
   strcpy(months[9],"October");
   strcpy(months[10],"November");
   strcpy(months[11],"December");
}

void get_first_day(void)
{
   firstday[0] = 5;  firstday[1] = 0;
   firstday[2] = 1;  firstday[3] = 2;
   firstday[4] = 3;  firstday[5] = 5;
   firstday[6] = 6;  firstday[7] = 0;
   firstday[8] = 1;  firstday[9] = 3;
   firstday[10] = 4; firstday[11] = 5;
   firstday[12] = 6; firstday[13] = 1;
   firstday[14] = 2; firstday[15] = 3;
   firstday[16] = 4; firstday[17] = 6;
   firstday[18] = 0; firstday[19] = 1;
   firstday[20] = 2; firstday[21] = 4;
   firstday[22] = 5; firstday[23] = 6;
   firstday[24] = 0; firstday[25] = 2;
   firstday[26] = 3; firstday[27] = 4;
}

void month_days(void)
{
   days[0] = 31;
   days[2] = 31;
   days[3] = 30;
   days[4] = 31;
   days[5] = 30;
   days[6] = 31;
   days[7] = 31;
   days[8] = 30;
   days[9] = 31;
   days[10] = 30;
   days[11] = 31;
}

void get_FEB(int year)
{
   if (year/4*4 == year)
      days[1] = 29;
   else
      days[1] = 28;
}

void main(void)
{
   char ch;
   int monthday[12][6][7], year, i, j, day, m, k, d;

   clrscr();
   get_month_names();
   get_first_day();
   month_days();
   printf("Enter year or 0 to exit: ");
   scanf("%d", &year);
   scanf("%c", &ch);
   while (year > 0)
   {
      day = firstday[year%28];
      get_FEB(year);
      for (i=0; i<=11; i++)
	 for (j=0; j<=5; j++)
	    for (m=0; m<=6; m++)
	       monthday[i][j][m] = 0;
      for (i=0; i<=11; i++)
      {
	 m = 0;
	 for (j=1; j<=days[i]; j++)
	 {
	    monthday[i][m][day] = j;
	    day = day++;
	    if (day == 7)
	    {
	       m++;
	       day = 0;
	    }
	 }
      }
      for (m=1; m<=4; m++)
      {
	 for (i=0; i<=2; i++) printf("    %-10s         ", months[(m-1)*3+i]);
	 printf("\n");
	 for (i=1; i<=3; i++) printf(" S  M  T  W  R  F  S   ");
	 printf("\n");
	 for (j=0; j<=5; j++)
	 {
	    for (i=0; i<=2; i++)
	    {
	       for (k=0; k<=6; k++)
	       {
		  d = monthday[(m-1)*3+i][j][k];
		  if (d != 0)
		     printf("%2d ", d);
		  else
		     printf("   ");
	       }
	       printf("  ");
	    }
	    printf("\n");
	 }
	 scanf("%c", &ch);
	 printf("\n\n");
      }
      printf("\nEnter year or 0 to exit: ");
      scanf("%d", &year);
      scanf("%c", &ch);
   }
}