/* cal4.cpp - generate a yearly calendar using arrays; one month at a time
         January
   S  M  T  W  R  F  S
                     1
   2  3  4  5  6  7  8
   9 10 11 12 13 14 15
  16 17 18 19 20 21 22
  23 24 25 26 27 28 29
  30 31

         February
   S  M  T  W  R  F  S
         1  2  3  4  5
   6  7  8  9 10 11 12
  13 14 15 16 17 18 19
  20 21 22 23 24 25 26
  27 28 29

           .
           .
           .

         December
   S  M  T  W  R  F  S
                  1  2
   3  4  5  6  7  8  9
  10 11 12 13 14 15 16
  17 18 19 20 21 22 23
  24 25 26 27 28 29 30
  31

   by Tommy Lu */
#include <stdio.h>
#include <conio.h>
#include <string.h>

void main(void);

void main(void)
{
		int m, d, mo[6][7], row, col=6, c, i;
      int days[12]={31,29,31,30,31,30,31,31,30,31,30,31};
      char month[12][10]={"January","February","March","April","May","June",
                         "July","August","September","October","November",
                         "December"};

      for (m=1; m<=12; m++)
      {
      		for (i=1; i<=(20-strlen(month[m-1]))/2; i++)
            		printf(" ");
      		printf("%s\n", month[m-1]);
            printf(" S  M  T  W  R  F  S\n");
            for (row=0; row<=5; row++)
            		for (c=0; c<=6; c++)
                  		mo[row][c] = 0;
            row = 0;

            for (d=1; d<=days[m-1]; d++)
            {
            		mo[row][col] = d;
                  col++;
                  if (col == 7)
                  {
                  		col = 0;
                        row++;
                  }
            }

            for (row=0; row<=5; row++)
            {
            		for (c=0; c<=6; c++)
                  		if (mo[row][c] == 0)
                        		printf("   ");
                        else
                        		printf("%2d ", mo[row][c]);
                  printf("\n");
            }
            printf("\n");
            getch();
      }
      getch();
}

