/* Multiple Table Generation
   1 X 1 =  1		2 X 1 =  2		3 X 1 =  3
   1 X 2 =  2		2 X 2 =  4		3 X 2 =  6
   1 X 3 =  3		2 X 3 =  6		3 X 3 =  9
     .				  .				  .
     .				  .				  .
     .				  .				  .
   1 X 9 =  9		2 X 9 = 18		3 X 9 = 27

   4 X 1 =  4		5 X 1 =  5		6 X 1 =  6
   4 X 2 =  8		5 X 2 = 10		6 X 2 = 12
   4 X 3 = 12		5 X 3 = 15		6 X 3 = 18
     .				  .				  .
     .				  .				  .
     .				  .		  		  .
   4 X 9 = 36		5 X 9 = 45		6 X 9 =54

   7 X 1 =  7		8 X 1 =  8		9 X 1 =  9
   7 X 2 = 14		8 X 2 = 16		9 X 2 = 18
   7 X 3 = 21		8 X 3 = 24		9 X 3 = 27
     .				  .				  .
     .				  .				  .
     .				  .				  .
   7 X 9 = 63		8 X 9 = 72		9 X 9 = 81

   by Tommy Lu */

#include <stdio.h>
#include <conio.h>

void main(void);

void main(void)
{
		int i, j, k;

		for (i=1; i<=3; i=i+1)
      {
      		for (j=1; j<=9; j=j+1)
            {
            		for (k=(i-1)*3+1; k<=(i-1)*3+3; k=k+1)
                  		printf("%d X %d = %2d\t", k, j, k*j);
                  printf("\n");
            }
            printf("\n");
      		getch();
      }
}














