// test.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

int perfect(int);
void factor(int);
void checkperfect(int);

int perfect (int x)
{
	int d, sum=0;

	for (d=1; d<=x/2; d++)
		if (x % d == 0) sum += d;

	return (sum == x);
}

void factor(int x)
{
	int d;

	for (d=1; d<=x/2; d++)
		if (x % d == 0) printf("%d   ", d);
}

void checkperfect(int n)
{
	int i;

	for (i=1; i<=n; i++)
		if (perfect(i))
		{
			printf("%d is a perfect number.  Factors: ", i);
			factor(i);
			printf("\n");
		}
}

int _tmain(int argc, _TCHAR* argv[])
{
	int n;

	printf("0. Exit\n");
	printf("1. Check if an integer is a perfect number\n");
	printf("2. Show all perfect numbers between 1 and 1000\n");
	printf("3. Show all perfect numbers between 1 and 32767\n");
	printf("Please make a selection: ");
	scanf("%d", &n);
	
	while (n != 0)
	{
		switch (n)
		{
		case 1:
			printf("Enter an integer: ");
			scanf("%d", &n);
			if (n > 0)
			{
				if (perfect(n))
				{
					printf("%d is a perfect number.  Factors: ", n);
					factor(n);
					printf("\n");
				}
				else
					printf("%d is not a perfect number\n", n);
			}
			else
				printf("%d is not a perfect number\n", n);

			break;
		case 2:
			n = 1000;
			checkperfect(n);
			break;
		case 3:
			n = 32767;
			checkperfect(n);
			break;
		default:
			break;
		}

		printf("\n\n0. Exit\n");
		printf("1. Check if an integer is a perfect number\n");
		printf("2. Show all perfect numbers between 1 and 1000\n");
		printf("3. Show all perfect numbers between 1 and 32767\n");
		printf("Please make a selection: ");
		scanf("%d", &n);
	}

	return 0;
}
