#include <stdio.h>

int isprime(int);
void showdivisor(int);
int isvalid(int*,int*);

int isprime(int n)
{
	int i=2, found=0;

	while (!found && i<=n/2)
	{
		found = n % i == 0;
		i++;
	}

	return (!found);
}

void showdivisor(int n)
{
	int i;

	printf("%d: ", n);
	for (i=1; i<=n; i++)
		if (n % i == 0) printf("%d ", i);

	printf("\n");
}

int isvalid(int *n1, int *n2)
{
	int i, valid;

	valid = 1;
	if (*n1 <= 1) valid = 0;
	if (*n2 <= 1) valid = 0;
	if (*n1 > *n2)
	{
		i = *n1;
		*n1 = *n2;
		*n2 = i;
	}

	return (valid);
}

void main(void)
{
	int n1, n2, i, count;

	printf("Please enter two integers or enter -1 to end the program: ");
	scanf("%d", &n1);
	while (n1 != -1)
	{
		scanf("%d", &n2);
		while (!isvalid(&n1, &n2))
		{
			printf("Please enter two integers: ");
			scanf("%d%d", &n1, &n2);
		}

		count = 0;
		for (i=n1; i<=n2; i++)
		{
			if (isprime(i))
			{
				printf("%d: prime\n", i);
				count++;
			}
			else
				showdivisor(i);
			
		}
		printf("Total number of prime number in the range of %d and %d is %d\n\n", n1, n2, count);

		printf("Please enter two integers or enter -1 to end the program: ");
		scanf("%d", &n1);
	}
}