/* Sales Commission
   by Tommy Lu
*/

#include <stdio.h>
#include <conio.h>

#define SIZE 9

void getcount(int[], int);
int findindex(int);
void main(void);

int findindex(int sal)
{
	int index;

	index = ((sal - 200) / 100);
	if (index > 8) index = 8;

	return (index);
}

void getcount(int count[], int salary)
{
	int index;

	index = findindex(salary);
	count[index]++;
}

void main(void)
{
	int sales, salary, count[SIZE]={0}, index;
	char range[9][15]={"$200-299", "$300-399", "$400-499", "$500-599", "$600-699", "$700-799",
		"$800-899", "$900-999", "$1000 and over"};
	
	printf("Enter a sales person's sale amount or -1 to exit: ");
	scanf("%d", &sales);

	while (sales != -1)
	{
		salary = (int) (200 + sales * 0.09);
		getcount(count,salary);
		printf("Enter a sales person's sale amount or -1 to exit: ");
		scanf("%d", &sales);
	}

	for (index=0; index<SIZE; index++)
		printf("%15s %2d\n", range[index], count[index]);

	getch();
}
