	/* Date: 3/7/13
	 * Prog: Paul Merrigan
	 * DTCC: CIS120-450
	 * Assignment: Exercise submitted through Email 
	 * 
	 * Title: Calendar
	 * 
	 * Purpose: User enters a day of week (1-7), and the program generates a calendar
	 * for the year beginning at that given point.
	 * 
	 * E.g. #1:	User enters 3, the start day for January will be Tuesday January 1st
	 * E.g. #2:	User enters 6, the start day for January will be Friday January 1st
	 * 
	 *  
	 * Notes: 
	 * 
	 * (1) User must enter integer value for month i.e. 1,2,3...12
	 * (2) No error handling, assumes valid input from user	
	 * (3) Multiple runs not possible, no sentinel value for repeat 
	 * (4) No allowances for leap years etc.
	 * 
	 * */
import java.util.Scanner;


public class Calendar {

	public static void main(String[] args) {

		// create a scanner
		
		Scanner input = new Scanner(System.in);	
		
		// declare variables
		
		int month = 1; 		
		
		final int jan = 31; // these constants contain the number of days for each month for 2013
		final int feb = 28;
		final int mar = 31;
		final int apr = 30;
		final int may = 31;
		final int jun = 30;
		final int jul = 31;
		final int aug = 31;
		final int sep = 30;
		final int oct = 31;
		final int nov = 30;
		final int dec = 31;
		
		String January = "January";  // strings for displaying the text to the console
		String February = "February";
		String March = "March";
		String April = "April";
		String May = "May";
		String June = "June";
		String July = "July";
		String August = "August";
		String September = "September";
		String October = "October";
		String November = "November";
		String December = "December";
		
		String textmonth = "";		
				
		//int startday = 3; // initial start day for January 1st is Tuesday 
		int daycount = 0;
		
		int dayofmonth = 1; // running count of days processed in loop 
		int daysinmonth = 0; // total days in month (28, 30, 31)
		
	
		int i = 0; // loop counter
		int x = 0; // loop counter
		
		
		// get input from user
		
		System.out.printf("%9s%5s%9s%5s%9s%5s%9s%5s%9s%5s%9s%5s%9s%5s%27s",				
				"Sunday",	"= 1\n", 
				"Monday",	"= 2\n",
				"Tuesday",	"= 3\n",
				"Wednesday","= 4\n",
				"Thursday",	"= 5\n",
				"Friday",	"= 6\n",
				"Saturday",	"= 7\n",
				"\nEnter day for January 1st: ");
		int startday = input.nextInt();


		
		// main while loop that processes all 12 months of the year
		
		while (month <= 12){
		
			// switch statement to set variables for the month being processed 
			
			switch (month){
					case 1:
						textmonth = January;
						daysinmonth = jan;
						break;
					case 2:
						textmonth = February;
						daysinmonth = feb;
						break;
					case 3:
						textmonth = March;
						daysinmonth = mar;
						break;
					case 4:
						textmonth = April;
						daysinmonth = apr;
						break;
					case 5:
						textmonth = May;
						daysinmonth = may;
						break;
					case 6:
						textmonth = June;
						daysinmonth = jun;
						break;
					case 7:
						textmonth = July;
						daysinmonth = jul;
						break;
					case 8:			
						textmonth = August;
						daysinmonth = aug;
						break;
					case 9:
						textmonth = September;
						daysinmonth = sep;
						break;
					case 10:			
						textmonth = October;
						daysinmonth = oct;
						break;
					case 11:
						textmonth = November;
						daysinmonth = nov;
						break;
					case 12:
						textmonth = December;
						daysinmonth = dec;
						break;
					default:
				
			} // switch
			
			
			// display calendar header to console
			
			System.out.printf("\n%14s\n",textmonth);
			System.out.printf("%3s%3s%3s%3s%3s%3s%3s\n", "Su","Mo","Tu","We","Th","Fr","Sa");
			
	
			// begin main for loops which display the calendar for the month being processed 
			
			for (i=1; dayofmonth <= daysinmonth; i++){
	
				daycount = 0; // count day of week, should reset every 7 days
	
				for (x=1; x <= 7; x++){
				
					if (startday != 1){
	
						// need to align the day under the appropriate day of the week
						
						System.out.printf("%3s", "  ");    
						startday = startday - 1;
					}
					else if (dayofmonth <= daysinmonth) {
						
						// now ready to start displaying the day of month
						
						System.out.printf("%3d", dayofmonth);
						dayofmonth++; 
					}
	
					
					// have not quite figured how this works yet!!!
					
					if (!(dayofmonth > daysinmonth && x < 7)) 
							daycount++;
					
					
				} // for (x=1; x <= 7; x++)
	
				System.out.print("\n");
				
			} // for (i=1; dayofmonth <= daysinmonth; i++)
	

			
			// set variables and counters for the next month to be processed
			
			if (daycount < 7)
				startday = daycount + 1; 
			 
			if (daycount == 7)
				startday = 1; 
			
			dayofmonth = 1; // reset day of month counter to 1
			month++; /// increment month to process next month in calendar

		} // while (month <= 12)


		
	} // main

} // class
