/* Print city power bill for Residential, Commercial, and Industrial customers
   Programming assignment #8 from chapter 4 on p. 205
   by Tommy Lu
*/

#include <stdio.h>
#include <conio.h>

int main(void);
void rbill(int);
void cbill(int);
void ibill(int);

void rbill(int acctno)
{
	int kw;
	double amount;

	printf("Enter kilowatt hours used: ");
	scanf("%d", &kw);
	amount = 6.0 + 0.052 * kw;
	printf("Account Number: %d\tAmount Due: $%.2f\n", acctno, amount);
}

void cbill(int acctno)
{
	int kw;
	double amount;

	printf("Enter kilowatt hours used: ");
	scanf("%d", &kw);
	if (kw <= 1000)
		amount = 60.0;
	else
		amount = 60.0 + 0.045 * (kw - 1000);
	printf("Account Number: %d\tAmount Due: $%.2f\n", acctno, amount);
}

void ibill(int acctno)
{
	int kwp, kwo;
	double amountp=0.0, amounto=0.0, amount;

	printf("Enter kilowatt hours used at peak hours: ");
	scanf("%d", &kwp);
	printf("Enter kilowatt hours used at off peak hours: ");
	scanf("%d", &kwo);
	if (kwp != 0)
		if (kwp <= 1000)
			amountp = 76.0;
		else
			amountp = 76.0 + 0.065 * (kwp - 1000);

	if (kwo != 0)
		if (kwo <= 1000)
			amounto = 40.0;
		else
			amounto = 40.0 + 0.028 * (kwo - 1000);

	amount = amountp + amounto;
	printf("Account Number: %d\tAmount Due: $%.2f\n", acctno, amount);
}

int main(void)
{
	int acctno;
	char code;

	printf("Please enter account number: ");
	scanf("%d", &acctno);
	printf("What type of customer? (R)esidential, (C)ommercial, or (I)ndustrial: ");
	scanf(" %c", &code);
	if (code == 'R')
		rbill(acctno);
	else
		if (code == 'C')
			cbill(acctno);
		else
			if (code == 'I')
				ibill(acctno);
			else
				printf("%c is not a valid customer type.\n");

	getch();
	return (0);
}
