/* Performance Salary
   by Tommy Lu
*/
#include <stdio.h>

#define zero 48

char findnext(FILE *fptr)
{
   char ch;

   ch = getc(fptr);
   while (ch == ' ')
      ch = getc(fptr);

   return(ch);
}

float getrate(char performance)
{
   float rate;

   switch (performance)
   {
      case '1':
      case '2':	rate = 0.06;
		break;
      case '3':	rate = 0.078;
		break;
      case '4':	rate = 0.09;
   }
   return(rate);
}

void main(void)
{
   FILE *fptr, *fptrout;
   char name[11], dept[11], ch, performance;
   int i, dig, inc, totinc = 0;
   long salary, totsal = 0, totnew = 0;
   float rate;

   fptr = fopen("b:pj4.in", "r");
   fptrout = fopen("b:pj4.out", "w");

   fprintf(fptrout, "                                    Increase\n");
   fprintf(fptrout, "                        Current    -----------      New\n");
   fprintf(fptrout, " Name   Department  PR   Salary     $       %     Salary\n");
   fprintf(fptrout, "========================================================\n");

   while ((ch=getc(fptr)) != '\n')
   {
      i = 0;
      while (ch != ' ')
      {
	 name[i] = ch;
	 ch = getc(fptr);
	 i++;
      }
      name[i] = '\0';
      ch = findnext(fptr);
      i = 0;
      while (ch != ' ')
      {
	 dept[i] = ch;
	 ch = getc(fptr);
	 i++;
      }
      dept[i] = '\0';
      performance = findnext(fptr);
      ch = findnext(fptr);
      salary = 0;
      while (ch != '\n')
      {
	 dig = ch - zero;
	 salary = salary * 10 + dig;
	 ch = getc(fptr);
      }
      rate = getrate(performance);
      inc = salary * rate;
      totsal = totsal + salary;
      totinc = totinc + inc;
      totnew = totnew + salary + inc;
      fprintf(fptrout, "%-8s", name);
      fprintf(fptrout, "%9s", dept);
      fprintf(fptrout, "   %c    %5ld     %4d    %3.1f     %5ld\n", performance, salary, inc, rate*100.0, salary+inc);
   }
   rate = (totinc *1.0) / totsal;
   fprintf(fptrout, "========================================================\n");
   fprintf(fptrout, "     Summary:           %6ld    %5d    %3.1f    %6ld\n", totsal, totinc, rate*100.0, totnew);
   fclose(fptr);
   fclose(fptrout);
}