#include <stdio.h>
#include <io.h>
#include <string.h>

float getrate(char performance)
{
   float rate;

   switch (performance)
   {
      case '1':
      case '2':	rate = 0.06;
		break;
      case '3':	rate = 0.078;
		break;
      case '4':	rate = 0.09;
   }
   return(rate);
}

void main(int argc, char *argv[])
{
   FILE *fptr;
   int inc, go, totinc = 0;
   long totsal = 0, totnew = 0;
   float rate;
   unsigned char key, key2;
   struct xx
   {
      char name[11], dept[11], performance;
      long salary;
   };
   struct xx1
   {
      char name[11], dept[11], performance;
      long salary;
      struct xx *before, *next;
   };
   struct xx record;
   struct xx1 *ptr, *temp, *head, *prev;

   fptr = fopen(argv[1], "r");

   head = (struct xx1 *) malloc(sizeof(struct xx1));
   head->next = NULL;

   while (fread(&record,sizeof(record),1,fptr) == 1)
   {
      ptr = (struct xx1 *) malloc(sizeof(struct xx1));
      strcpy(ptr->name,record.name);
      strcpy(ptr->dept,record.dept);
      ptr->performance = record.performance;
      ptr->salary = record.salary;
      ptr->next = NULL;
      go = 1;
      temp = head->next;
      prev = head;
      while ((go == 1) && (temp != NULL))
	 if (strcmp(temp->name,ptr->name) < 0)
	 {
	    prev = prev->next;
	    temp = temp->next;
	 }
	 else
	    go = 0;

      prev->next = ptr;
      ptr->next = temp;
      ptr->before = prev;
      temp->before = ptr;
   }

   clrscr();
   printf("\n   Department: [         ]\n");
   printf("\n   Name: [               ]     Performance Rating: [     ]\n");
   printf("\n   Current Salary: [     ]\n");
   printf("\n        Increase: [      ]     Percent Increase: [       ]\n");
   printf("\n   New Salary: [         ]\n");
   printf("\n\n\n\n\n\nHOME:first, UP:previous, DOWN:next, END:last, ESC:exit\n");

   prev = head->next;
   prev->before = prev;
   ptr = head->next;

   while (ptr != NULL)
   {
      rate = getrate(ptr->performance);
      inc = ptr->salary * rate;
      totsal += ptr->salary;
      totnew += ptr->salary + inc;
      totinc += inc;
      printf("\x1B[2;17f");
      printf("%-8s", ptr->dept);
      printf("\x1B[4;11f");
      printf("%-14s", ptr->name);
      printf("\x1B[4;53f");
      printf("%5c", ptr->performance);
      printf("\x1B[6;21f");
      printf("%5ld", ptr->salary);
      printf("\x1B[8;20f");
      printf("%6d", inc);
      printf("\x1B[8;53f");
      printf("%5.1f", rate*100.0);
      printf("\x1B[10;20f");
      printf("%6ld", ptr->salary+inc);
      key2 = 0;
      key = getch();
      if (key == 0) key2 = getch();
      if ((key == 27) && (key2 == 0)) ptr = NULL;
      if ((key == 0) && (key2 == 71)) ptr = head->next;
      if ((key == 0) && (key2 == 72)) ptr = ptr->before;
      if ((key == 0) && (key2 == 80))
	 if (ptr->next != NULL)
	    ptr = ptr->next;
      if ((key == 0) && (key2 == 79))
	 while (ptr->next != NULL)
	    ptr = ptr->next;
   }
   fclose(fptr);
}