/* Find prime numbers and squared numbers between two given integers
   by Tommy Lu
*/
#include <stdio.h>
#include <math.h>

int isprime(n)
{
   int c, i;

   c = 0;
   i = 2;

   while ((c == 0) && (i <= n/2))
   {
      if (n % i == 0) c++;
      i++;
   }
   return(!c);
}

int issquare(n)
{
   int s;

   s = sqrt(n);
   if (s*s == n)
      return(1);
   else
      return(0);
}

void main (void)
{
   int n1, n2, n, c;

   printf("Enter two integers: ");
   scanf("%d %d", &n1, &n2);

   while (n1 <= n2)
   {
      printf("Prime:    ");
      c = 0;
      for (n=n1; n<=n2; n++)
	 if (isprime(n)) printf("%d    ", n, c++);
      printf("\n( Count =  %d )\n",c);
      printf("Square:   ");
      c = 0;
      for (n=n1; n<=n2; n++)
	 if (issquare(n)) printf("%d    ", n, c++);
      printf("\n( Count =  %d )\n",c);

      printf("Enter two integers: ");
      scanf("%d %d", &n1, &n2);
   }
}