/* Find and count all prime numbers and square numbers between two given integers
   by Tommy Lu */
#include <stdio.h>
#include <conio.h>
#include <math.h>
#include <iostream.h>
#include <stdlib.h>

int isprime(int);
int issquare(int);

int isprime(int n)
{
   int c=0, i=2;

   while ((c == 0) && (i <= n/2))
   {
      if (n % i == 0) c++;
      i++;
   }
   return(!c);
}

int issquare(int n)
{
   int s;

   s = (int)sqrt(n);
   if (s*s == n)
      return(1);
   else
      return(0);
}

void main(void)
{
	int n1, n2, n, i, c;

	//clrscr();
	system("cls");
	printf("Enter two integers or 0 0 to exit: ");
	scanf("%d %d", &n1, &n2);

	while ((n1 != 0) && (n2 != 0))
	{
		if (n1 > n2)
		{
			n = n1;
			n1 = n2;
			n2 = n;
		}
		c = 0;
		for (n=n1; n<=n2; n++)
		{
			printf("%d: ", n);
			if (isprime(n))
			{
				printf("Prime\n");
				c++;
			}
			else
			{
				for (i=2; i<=n/2; i++)
				if (n % i == 0) printf(" %d ", i);
				printf("\n");
			}
		}
		printf("\n( Count of prime numbers =  %d )\n",c);
		printf("Square:   ");
		c = 0;
		for (n=n1; n<=n2; n++)
		if (issquare(n)) printf("%d    ", n, c++);
		printf("\n( Count of squared numbers =  %d )\n",c);
		printf("Enter two integers or 0 0 to exit: ");
		scanf("%d %d", &n1, &n2);
	}
}