/* calendar version 0 - ask for month and the first day of month
   by Tommy Lu */
#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#include <string.h>

int getmonth(void);
int get_days(int);
int getfirst(void);
void main(void);

int getmonth(void)
{
   int m;

   printf("\nEnter month or -1 to end: ");
   scanf("%d", &m);
   return (m);
}

int get_days(int month)
{
   int days;

   switch (month)
   {
      case 4:
      case 6:
      case 9:
      case 11: days = 30;
	       break;
      default: days = 31;
   }
   if (month == 2)
      do
      {
	 printf("How many days in February: ");
	 scanf("%d", &days);
      } while ((days != 28) && (days != 29));
   return (days);
}

int getfirst(void)
{
   int d;

   printf("Enter the first day of month: ");
   scanf("%d", &d);
   return (d);
}

void main(void)
{
   int month, first, days, i, cal[6][7], d, j;

   month = getmonth();
   while ((month >= 1) && (month <= 12))
   {
      days = get_days(month);
      first = getfirst();
      for (i=0; i<=5; i++)
	 for (j=0; j<=6; j++) cal[i][j] = 0;
      printf(" S   M   T   W   R   F   S\n");
      d = 1;
      i = 0;
      j = first;
      while (d <= days)
      {
	 cal[i][j++] = d++;
	 if (j == 7)
	 {
	    i++;
	    j = 0;
	 }
      }
      for (i=0; i<=5; i++)
      {
	 for (j=0; j<=6; j++) printf("%2d  ", cal[i][j]);
	 printf("\n");
      }
      month = getmonth();
   }
}