/* cal7.cpp - generate a yearly calendar using arrays; three months at a time
				  final version
         January				      February				       March
   S  M  T  W  R  F  S		S  M  T  W  R  F  S		S  M  T  W  R  F  S
                     1           1  2  3  4  5              1  2  3  4
   2  3  4  5  6  7  8     6  7  8  9 10 11 12     5  6  7  8  9 10 11
   9 10 11 12 13 14 15    13 14 15 16 17 18 19    12 13 14 15 16 17 18
  16 17 18 19 20 21 22    20 21 22 23 24 25 26    19 20 21 22 23 24 25
  23 24 25 26 27 28 29    27 28 29                26 27 28 29 30 31
  30 31

          April                    May                     June
   S  M  T  W  R  F  S		S  M  T  W  R  F  S		S  M  T  W  R  F  S
                     1        1  2  3  4  5  6                 1  2  3
   2  3  4  5  6  7  8     7  8  9 10 11 12 13     4  5  6  7  8  9 10
   9 10 11 12 13 13 15    14 15 16 17 18 19 20    11 12 13 14 15 16 17
  16 17 18 19 20 21 22    21 22 23 24 25 26 27    18 19 20 21 22 23 24
  23 24 25 26 27 28 29    28 29 30 31             25 26 27 28 29 30
  30
           .                       .                        .
           .                       .                        .
           .                       .                        .

         October				      November				      December
   S  M  T  W  R  F  S		S  M  T  W  R  F  S		S  M  T  W  R  F  S
   1  2  3  4  5  6  7              1  2  3  4                    1  2
   8  9 10 11 12 13 14     5  6  7  8  9 10 11     3  4  5  6  7  8  9
  15 16 17 18 19 20 21    12 13 14 15 16 17 18    10 11 12 13 14 15 16
  22 23 24 25 26 27 28    19 20 21 22 23 24 25    17 18 19 20 21 22 23
  29 30 31                26 27 28 29 30          24 25 26 27 28 29 30
                                                  31

   by Tommy Lu */
#include <stdio.h>
#include <conio.h>
#include <string.h>

void main(void);

void main(void)
{
		int m, d, ary1[6][7], ary2[6][7], ary3[6][7], row, col=6, c, n, ind;
      int days[12]={31,29,31,30,31,30,31,31,30,31,30,31};
      char month[12][10]={"January","February","March","April","May","June",
                         "July","August","September","October","November",
                         "December"};

      for (m=1; m<=4; m++)
      {
      	for (n=1; n<=3; n++)
         {
         	ind = (m -1) * 3 + (n - 1);
            for (c=1; c<=(21-strlen(month[ind]))/2; c++)
            	printf(" ");
      		printf("%s", month[ind]);
            for (c=1; c<(21-strlen(month[ind]))/2; c++)
            	printf(" ");
            printf("\t");
         }
         printf("\n");
         for (n=1; n<=3; n++)
         	printf(" S  M  T  W  R  F  S\t");
         printf("\n");
         for (c=0; c<=5; c++)
         	for (d=0; d<=6; d++)
            {
            	ary1[c][d] = 0;
               ary2[c][d] = 0;
               ary3[c][d] = 0;
            }
			for (n=1; n<=3; n++)
         {
         	ind = (m - 1) * 3 + (n - 1);
            row = 0;
	         for (d=1; d<=days[ind]; d++)
		      {
            	switch (n)
               {
               	case 1: ary1[row][col] = d;
                  		  break;
                  case 2: ary2[row][col] = d;
                  		  break;
                  case 3: ary3[row][col] = d;
               }
/*               printf("ary1[%d][%d]=%d, ary2[%d][%d]=%d, ary3[%d][%d]=%d\n",
               			row, col, ary1[row][col], row, col, ary2[row][col],
                        row, col, ary3[row][col]);
getch(); */
               col = col + 1;
               if (col == 7)
               {
               	row++;
                  col = 0;
               }
            }
         }
         for (n=0; n<=5; n++)
         {
         	for (d=0; d<=6; d++)
            	if (ary1[n][d] == 0)
               	printf("   ");
               else
               	printf("%2d ", ary1[n][d]);
            printf("\t");
         	for (d=0; d<=6; d++)
            	if (ary2[n][d] == 0)
               	printf("   ");
               else
               	printf("%2d ", ary2[n][d]);
            printf("\t");
         	for (d=0; d<=6; d++)
            	if (ary3[n][d] == 0)
               	printf("   ");
               else
               	printf("%2d ", ary3[n][d]);
            printf("\n");
         }
      	getch();
      }
}

