/* Generate a monthly calendar using pointer and one dimensional array
   by Tommy Lu
*/

#include <stdio.h>
#include <conio.h>

void printday(int, int*);

void printday(int d, int *f)
{
	printf("%2d ", d);
	(*f) = ((*f) + 1) % 7;
	if (*f == 0) printf("\n");
}

int main()
{
	int days, firstday, i;
	char ans='y';

	while ((ans == 'y') || (ans == 'Y'))
	{
		printf("How many days in the month: ");
		scanf("%d", &days);
		printf("Which day of the week is the first day of the month?\n");
		printf("0-Sunday, 1-Monday, 2-Tuesday, 3-Wednesday, 4-Thursday, 5-Friday, 6-Saturday: ");
		scanf("%d", &firstday);

		printf(" S  M  T  W  R  F  S\n--------------------\n");
		for (i=0; i<firstday; i++)
			printf("   ");
		for (i=1; i<=days; i++)
			printday(i, &firstday);

		printf("\n\n\nContinue? (Y/N):");
		scanf(" %c", &ans);
	}

	return 0;
}
