/* Function to determine if a number is a perfect number
   A number is perfect if its factors, including 1 (but not the number itself),
	sum to the number.  e.g. 6 is a perfect number because 6=1+2+3
   by Tommy Lu
*/

#include <stdio.h>
#include <conio.h>

#define MAX 1000

int perfect(int);
void factor(int);

int perfect (int x)
{
	int d, sum=0;

	for (d=1; d<=x/2; d++)
		if (x % d == 0) sum += d;

	return (sum == x);
}

void factor(int x)
{
	int d;

	for (d=1; d<=x/2; d++)
		if (x % d == 0) printf("%d   ", d);
}

int main()
{
	int n;

	for (n=1; n<=MAX; n++)
		if (perfect(n))
		{
			printf("%d is a perfect number.  Factors: ", n);
			factor(n);
			printf("\n");
		}

	getch();
	return 0;
}
