/*	shuffle a deck of cards
    version 2
*/
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
 
int main(void) 
{
	char deck[52][4]={"S2", "S3", "S4", "S5", "S6", "S7", "S8", "S9", "S10",
		"SJ", "SQ", "SK", "SA", "H2", "H3", "H4", "H5", "H6", "H7", "H8", "H9", "H10",
		"HJ", "HQ", "HK", "HA", "D2", "D3", "D4", "D5", "D6", "D7", "D8", "D9", "D10",
		"DJ", "DQ", "DK", "DA", "C2", "C3", "C4", "C5", "C6", "C7", "C8", "C9", "C10",
		"CJ", "CQ", "CK", "CA"}, ans='Y';
	int i=1, card[52], selected[52], index;

	srand(time(NULL));

	while ((ans == 'Y') || (ans == 'y'))
	{
		for (i=0; i<52; i++)
			selected[i] = 0;

		for (i=1; i<=52; i++)
		{
			index = rand() % 52;
			while (selected[index] == 1)
				index = rand() % 52;

			selected[index] = 1;
			card[i-1] = index;
		}

		for (i=1; i<=52; i++)
		{
			printf("%5s", deck[card[i-1]]);
			if (i % 13 == 0) printf("\n");
		}

		printf("shuffle again? (Y/N): ");
		scanf(" %c", &ans);
	}

	return 0;
}